variables:
  GIT_SUBMODULE_STRATEGY: recursive
  OFFICIAL_REPO: atlas-flavor-tagging-tools/algorithms/ftag-docs


test_docs_build: &build
  stage: test
  needs: [dump_indico, dump_taggers, dump_samples, dump_aqps]
  before_script:
    - apt-get update && apt-get install -y --no-install-recommends git
    - pip install -r requirements.txt
  script:
    - mkdocs build -s -d public
  artifacts:
    paths:
      - public
    expire_in: 1 hour

pages:
  <<: *build
  stage: pages
  rules:
    - if: $CI_COMMIT_BRANCH == "master" && $CI_PROJECT_PATH==$OFFICIAL_REPO || $CI_PROJECT_PATH!=$OFFICIAL_REPO
      when: always
